Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# pixel_reference_is_mutable Struct Template Reference
[xxx_is_mutable]

`#include <metafunctions.hpp>`

## Detailed Description

### template<typename R>
struct boost::gil::pixel_reference_is_mutable< R >

Determines if the given pixel reference is mutable (i.e. its channels can be changed).

Note that built-in C++ references obey the const qualifier but reference proxy classes do not.

The documentation for this struct was generated from the following file:

- metafunctions.hpp